{--------------------------------------------------------}
{                  cartaVox - mensagens
{--------------------------------------------------------}

unit carMsg;
interface
uses winprocs, wintypes, windos, dvcrt, dvWin, dvLenum;

procedure mensagem (nomeArq: string; nlf: integer);
procedure bipSpeaker (pitch: integer);

implementation

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;
begin
    if nomeArq = 'CTNOMENV' then
        s :='Qual o nome do arquivo a enviar ? '
    else
    if  nomeArq = 'CTINIC' then
        s :='CARTAVOX - Correio Eletrônico - NCE/UFRJ - v.'
    else
    if nomeArq = 'CTAJUD01' then
        s :='As opções são'
    else
    if nomeArq = 'CTAJUD02' then
        s :='  E   enviar carta'
    else
    if nomeArq = 'CTAJUD03' then
        s :='  T   transmitir cartas escritas'
    else
    if nomeArq = 'CTAJUD04' then
        s :='  R   receber cartas do correio'
    else
    if nomeArq = 'CTAJUD05' then
        s :='  F   folhear as cartas já recebidas'
    else
    if nomeArq = 'CTAJUD06' then
        s :='  C   configurar o programa'
    else
    if nomeArq = 'CTAJUD07' then
        s :='  A   editar apelidos'
    else
    if nomeArq = 'CTQUALOP' then
        s :='Qual sua opção ? '
    else
    if nomeArq = 'CTOPVINV' then
        s :='Opção inválida, aperte F1 para ajuda'
    else
    if nomeArq = 'CTFIM' then
        s :='Fim do Correio'
    else
    if nomeArq = 'CTOKORD' then
        s :='Ok, cartas ordenadas.'
    else
    if nomeArq = 'CTCARSUM' then
        s :='Erro no disco: carta sumiu'
    else
    if nomeArq = 'CTAJFL02' then
        s :='L - para ler a carta'
    else
    if nomeArq = 'CTAJFL03' then
        s :='I - para obter informações sobre a carta'
    else
    if nomeArq = 'CTAJFL04' then
        s :='A - apagar a carta'
    else
    if nomeArq = 'CTAJFL05' then
        s :='E - editar resposta'
    else
    if nomeArq = 'CTAJFL06' then
        s :='C - copiar a carta para um arquivo'
    else
    if nomeArq = 'CTAJFL07' then
        s :='ESC terminar folheamento'
    else
    if nomeArq = 'CTARQUIV' then
        s :='Arquivo '
    else
    if nomeArq = 'CTASSUNT' then
        s :='Assunto: '
    else
    if nomeArq = 'CTDATENV' then
        s :='Data de envio: '
    else
    if nomeArq = 'CTDATCHE' then
        s :='Data de chegada: '
    else
    if nomeArq = 'CTCNFAPA' then
        s :='Confirma o apagamento desta carta com assunto'
    else
    if nomeArq = 'CTSIMNAO' then
        s :='(S/N) ? '
    else
    if nomeArq = 'CTERRDSK' then
        s :='Erro de escrita no disco'
    else
    if nomeArq = 'CTOKAPA' then
        s :='Ok, carta apagada'
    else
    if nomeArq = 'CTPOSMAN' then
        s :='Posso mandar para '
    else
    if nomeArq = 'CTENDDST' then
        s :='Qual o endereço eletrônico do destinatário? '
    else
    if nomeArq = 'CTDESIST' then
        s :='Desistiu...'
    else
    if nomeArq = 'CTJOGEDI' then
        s :='Jogo no editor o texto original (s/n) ? '
    else
    if nomeArq = 'CTERRLEI' then
        s :='Erro de leitura do arquivo'
    else
    if nomeArq = 'CTCNFENV' then
        s :='Confirma envio (s/n) ? '
    else
    if nomeArq = 'CTINFDST' then
        s :='Informe o nome completo do arquivo destino:'
    else
    if nomeArq = 'CTULTARQ' then
        s :='Ultimo arquivo...'
    else
    if nomeArq = 'CTSEMCAR' then
        s :='Não tem carta nenhuma neste diretório'
    else
    if nomeArq = 'CTUSESET' then
        s :='Folheando: use as setas, depois tecle sua opção'
    else
    if nomeArq = 'CTCNTFOL' then
        s :='Continue folheando ou tecle ESC'
    else
    if nomeArq = 'CTFOLFIM' then
        s :='Folheamento terminado'
    else
    if nomeArq = 'CTPROGRV' then
        s :='Problemas para gravar carta no disco'
    else
    if nomeArq = 'CTPROCON' then
        s :='Problemas na conexão'
    else
    if nomeArq = 'CTACONT' then
        s :='A conta '
    else
    if nomeArq = 'CTNAOACE' then
        s :='... não foi aceita, servidor falou assim'
    else
    if nomeArq = 'CTINFSEN' then
        s :='Informe sua senha'
    else
    if nomeArq = 'CTASENHA' then
        s :='A senha '
    else
    if nomeArq = 'CTEXISTE' then
        s :='Existem no servidor '
    else
    if nomeArq = 'CTCOMUSO' then
        s :=' cartas com uso de '
    else
    if nomeArq = 'CTSELINT' then
        s :='Quer selecionar interativamente ? '
    else
    if nomeArq = 'CTERRSRV' then
        s :='Erro no servidor, veja o que ele disse:'
    else
    if nomeArq = 'CTERRTMP' then
        s :='Problemas no arquivo temporário'
    else
    if nomeArq = 'CTENVPOR' then
        s :='Enviada por '
    else
    if nomeArq = 'CTPODSER' then
        s :='Pode ser ? '
    else
    if nomeArq = 'CTCONTAC' then
        s :='Contactando servidor para receber correspondência'
    else
    if nomeArq = 'CTPEGCOR' then
        s :='Pegando a correspondência'
    else
    if nomeArq = 'CTCARTA' then
        s :='Carta '
    else
    if nomeArq = 'CTOKPEG' then
        s :='Ok, peguei a correspondência'
    else
    if nomeArq = 'CTCONCAN' then
        s :='Conexao com servidor foi cancelada'
    else
    if nomeArq = 'CTERRCOM' then
        s :='Não consegui ativar o sistema de comunicações do micro'
    else
    if nomeArq = 'CTNAOSOQ' then
        s :='Não consegui criar soquete'
    else
    if nomeArq = 'CTERBIND' then
        s :='Não consegui alocar porta (bind)'
    else
    if nomeArq = 'CTSEMSRV' then
        s :='Não consegui achar um servidor com este nome'
    else
    if nomeArq = 'CTNAOCON' then
        s :='Não consegui realizar a conexao'
    else
    if nomeArq = 'CTCONOK' then
        s :='Conexão realizada'
    else
    if nomeArq = 'CTERRCNF' then
        s :='Este programa está configurado com erro !'
    else
    if nomeArq = 'CTERRGER' then
        s :='Não consegui gerar carta para envio'
    else
    if nomeArq = 'CTNAOMAN' then
        s :='Carta não será mandada'
    else
    if nomeArq = 'CTARQSUM' then
        s :='Arquivo a enviar sumiu !'
    else
    if nomeArq = 'CTCARPRP' then
        s :='Carta preparada para envio'
    else
    if nomeArq = 'CTNOMMAN' then
        s :='Qual o nome do arquivo de texto a mandar ? '
    else
    if nomeArq = 'CTQUERTC' then
        s :='Esse arquivo não existe, quer teclar agora ? '
    else
    if nomeArq = 'CTABREDI' then
        s :='Abrindo editor'
    else
    if nomeArq = 'CTPROENV' then
        s :='Problema de arquivo ao enviar a carta '
    else
    if nomeArq = 'CTERRCAB' then
        s :='Erro no cabecalho da carta '
    else
    if nomeArq = 'CTVEJMEN' then
        s :='Veja mensagem do servidor:'
    else
    if nomeArq = 'CTCONCAI' then
        s :='Conexão de dados caiu'
    else
    if nomeArq = 'CTCONTSV' then
        s :='Contactando servidor para transmitir cartas'
    else
    if nomeArq = 'CTSRVNAO' then
        s :='Servidor não quer conversa, ele mandou esta mensagem'
    else
    if nomeArq = 'CTENVCAR' then
        s :='Enviando as cartas'
    else
    if nomeArq = 'CTSRVNGO' then
        s :='Servidor não gostou dessa conexão, ele mandou esta mensagem'
    else
    if nomeArq = 'CTDIRSUM' then
        s :='O diretorio de cartas sumiu !'
    else
    if nomeArq = 'CTTODENV' then
        s :='Todas as cartas já foram enviadas'
    else
    if nomeArq = 'CTFIMENV' then
        s :='Fim de envio'
    else
    if nomeArq = 'CTCARTAP' then
        s :='Cartas permanecem prontas para ser enviadas'
    else
    if nomeArq = 'CTCNFAPC' then
        s := 'Posso apagar esta carta com erro ? '
    else
    if nomeArq = 'CTNAOEXE' then
        s :='Não foi possível executar esse programa, erro #'
    else
    if nomeArq = 'CTSVSMTP' then
        s :='Servidor para envio de cartas - SMTP'
    else
    if nomeArq = 'CTNSSMTP' then
        s :='Nome do servidor SMTP'
    else
    if nomeArq = 'CTSVPOP3' then
        s :='Servidor para recepção de cartas - POP3'
    else
    if nomeArq = 'CTNSPOP3' then
        s :='Nome do servidor POP3'
    else
    if nomeArq = 'CTSEUNOM' then
        s :='Seu nome esta registrado como'
    else
    if nomeArq = 'CTQSEUNO' then
        s :='Qual seu nome ?'
    else
    if nomeArq = 'CTENDREM' then
        s :='Endereço eletrônico do remetente'
    else
    if nomeArq = 'CTENDCMP' then
        s :='Qual seu endereço completo ?'
    else
    if nomeArq = 'CTCONREG' then
        s :='Conta no servidor registrada como'
    else
    if nomeArq = 'CTQNOMEC' then
        s :='Qual o nome de sua conta ?'
    else
    if nomeArq = 'CTDICREC' then
        s :='Diretório atual para cartas recebidas'
    else
    if nomeArq = 'CTQDIREC' then
        s :='Qual o diretório para cartas recebidas ?'
    else
    if nomeArq = 'CTDINREC' then
        s :='Diretório atual para cartas ainda não enviadas'
    else
    if nomeArq = 'CTQDINRC' then
        s :='Qual o diretório para cartas a enviar?'
    else
    if nomeArq = 'CTTAMMAX' then
        s :='Tamanho máximo de carta recebida'
    else
    if nomeArq = 'CTQTAMAX' then
        s :='Qual o tamanho máximo de carta recebida?'
    else
    if nomeArq = 'CTERRDIR' then
        s := 'Diretório inexistente, informe de novo'
    else
    if nomeArq = 'CTQASSUN' then
        s :='Qual o assunto da carta, enter se só resposta ? '
    else
    if nomeArq = 'CTATACHA' then
        s :='Quer mandar arquivos junto com esta carta ? '
    else
    if nomeArq = 'CTATAINV' then
        s :='Nome de arquivo inválido'
    else
    if nomeArq = 'CTNOMATA' then
        s := 'Nome do arquivo a enviar: '
    else
    if nomeArq = 'CTCNVPAD' then
        s := 'Posso usar a conversão padrao (s/n) ? '
    else
    if nomeArq = 'CTTIPMIM' then
        s := 'Qual conversao: Mime64, Nenhuma, Iso-latin ou Uuencode ? '
    else
    if nomeArq = 'CTMAISAR' then
        s := 'Mais arquivos (s/n) ?'
    else
    if nomeArq = 'CTTEMATT' then
        s := 'Contém arquivos inclusos'
    else
    if nomeArq = 'CTNARQM' then
        s := 'Número de partes inclusas: '
    else
    if nomeArq = 'CTQPARTE' then
        s := 'Qual a parte desejada ? (depois enter) '
    else
    if nomeArq = 'CTLERGRD' then
        s := 'Escolha: ler ou guardar em arquivo ? '
    else
    if nomeArq = 'CTNOMGRD' then
        s := 'Nome do arquivo a guardar: '
    else
    if nomeArq = 'CTOK' then
        s := 'OK'
    else
    if nomeArq =  'CTVOUGRV' then
        s := 'Pretendo gravar '
    else
    if nomeArq =  'CTTOCAR' then
        s := 'Arquivo é sonoro, quer tocar (s/n) ? '
    else
    if nomeArq = 'CTEDINOM' then
        s := 'Use as setas para reeditar, tecle ENTER para confirmar ou ESC para cancelar: '
    else
    if nomeArq = 'CTAPELID' then
        s := '(Comecar por * indica apelido)'
    else
    if nomeArq = 'CTEDIAPE' then
        s := 'Editando arquivo de apelidos'
    else
    if nomeArq = 'CTINSEDI' then
        s := 'Deseja Inserir ou Editar ? '
    else
    if nomeArq = 'CTENVPAR' then
        s := 'Enviando para '
    else
    if nomeArq = 'CTINFAPE' then
        s := 'Informe o apelido: '
    else
    if nomeArq = 'CTINFNOM' then
        s := 'Informe o nome: '
    else
    if nomeArq = 'CTINFEND' then
        s := 'Informe o endereço eletrônico: '
    else
    if nomeArq = 'CTAPEINV' then
        s := 'Apelido inválido'
    else
    if nomeArq = 'CTCNFDST' then
        s := 'Confirma destino {s/n) ? '
    else
    if nomeArq = 'CTASSCAR' then
        s :='Qual o assunto da carta ?'
    else
    if nomeArq = 'CTMOMENT' then
        s :='Um momento...  '
    else
    if nomeArq = 'CTPODTRA' then
        s := 'Quer trazer ? '
    else
    if nomeArq = 'CTAPGCAR' then
        s := 'Apago do servidor '
    else
    if nomeArq = 'CTMODNOR' then
        s := 'Modo normal'
    else
    if nomeArq = 'CTMODDEB' then
        s := 'Modo debug: cartas não serão apagadas'
    else
    if nomeArq = 'CTNOMCNF' then
        s := 'Informe o nome da configuração (até 20 letras)'
    else
    if nomeArq = 'CTCNFNAO' then
        s := 'Configuração não achada'
    else
    if nomeArq = 'CTOPCONF' then
        s := 'Opção:   C-configurar   G-guardar configuração   R-recuperar  '
    else
    if nomeArq = 'CTOPCINV' then
        s := 'Opção inválida'
    else
    if nomeArq = 'CTMUICAR' then
        s := 'São muitas cartas, quantas trago agora ? '
    else
    if nomeArq = 'CTTAMAN' then
        s := 'Tamanho '
    else
    if nomeArq = 'CTARQASS' then
        s := 'Nome do arquivo de assinatura'
    else
    if nomeArq = 'CTSEMASS' then
        s := '-- Nenhum --'
    else
    if nomeArq = 'CTQARQAS' then
        s := 'Qual o nome completo do arquivo de assinatura?'
    else
    if nomeArq = 'CTEDIANT' then
        s := 'Quer editá-lo antes de mandar ? '
    else
    if nomeArq = 'CTADIASS' then
        s := 'Adiciona sua assinatura ? '
    else
    if nomeArq = 'CTASSNAO' then
        s := 'Arquivo não existe, não esqueça de criá-lo'
    else
    if nomeArq = 'CTQUERLC' then
        s := 'Deseja ler o arquivo original completo ? '
    else
    if nomeArq = 'CTAJFL08' then
        s := 'T - transmitir cartas já digitadas'
    else
    if nomeArq = 'CTAJFL09' then
        s := 'S - selecionar o nome do remetente associando-o a um apelido'
    else
    if nomeArq = 'CTAJFL10' then
        s := 'F5 - procurar um texto no cabeçalho da carta'
    else
    if nomeArq = 'CTAJFL11' then
        s := 'CTL F5 - procurar de novo'
    else
    if nomeArq = 'CTAJFL12' then
        s := 'O - editar o texto original recebido'
    else
    if nomeArq = 'CTAJFL01' then
        s := 'Folheie as cartas com as setas, depois tecle:'
    else
    if nomeArq = 'CTQUEVER' then
        s := 'Verificar preparadas ou transmitidas ? '
    else
    if nomeArq = 'CTORDLIS' then
       s :='Ordenando a lista de cartas pela data...'
    else
    if nomeArq = 'CTAJUD6A' then
        s := '  V   verificar cartas preparadas ou transmitidas'
    else
    if nomeArq = 'CTFIMCNF' then
        s := 'Fim da configuração'
    else
    if nomeArq = 'CTGUENV' then
        s := 'Vou guardar uma cópia de todas as cartas enviadas'
    else
    if nomeArq = 'CTNGUENV' then
        s := 'Armazenagem das cartas já enviadas está inibida'
    else
    if nomeArq = 'CTDATPRP' then
        s := 'Data de preparação: '
    else
    if nomeArq = 'CTQAPELI' then
        s := 'Informe o apelido desejado para '
    else
    if nomeArq = 'CTINFPRO' then
        s := 'Informe o texto a procurar no cabeçalho da carta'
    else
    if nomeArq = 'CTNACHEI' then
        s := 'Não achei'
    else
    if nomeArq = 'CTACHEI' then
        s := 'Achei'
    else
    if nomeArq = 'CTSOUMDS' then
        s := 'Erro: informe apenas um destinatário principal'
    else
    if nomeArq = 'CTENVCC' then
        s := 'Deseja enviar cópias-carbono desta carta ? '
    else
    if nomeArq = 'CTENVBCC' then
        s := 'Deseja enviar cópias não identificadas desta carta ? '
    else
    if nomeArq = 'CTDIGCC' then
        s := 'Digite os endereços eletrônicos para os carbonos'
    else
    if nomeArq = 'CTENTCC' then
        s := 'Tecle ENTER após cada nome e após o último tecle mais um ENTER'
    else
    if nomeArq = 'CTERENVC' then
        s := 'Erro ao enviar a carta.  Servidor reclamou de '
    else
    if nomeArq = 'CTRSPOUT' then
        s := 'A carta a que você está respondendo tinha sido enviada a outras pessoas'
    else
    if nomeArq = 'CTENVIAT' then
        s := 'Quer enviar sua resposta também para elas ? '
    else
    if nomeArq = 'CTLEALTE' then
        s := 'Lendo e alterando carta.'
    else
    if nomeArq = 'CTAJFL12' then
        s := 'O - editar o texto original recebido'
    else
    if nomeArq = 'CTREESCR' then
        s := 'Arquivo existente, reescreve ? '

    else
        s := '--> Mensagem inválida: ' + nomeArq;

    write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{                    bipa no speaker
{--------------------------------------------------------}

procedure bipSpeaker (pitch: integer);
begin
    OpenSound;
    setVoiceNote (1, pitch, 20, 1);
    StartSound;
    WaitSoundState (S_QueueEmpty);
    StopSound;
    CloseSound;
end;

end.
